﻿//
// WindowsFormsCSharp
//
// Copyright (c) 2016 http://www.curict.com
// This software is released under the MIT License, see LICENSE.txt.
//

using System;
using System.Data;
using System.Windows.Forms;

namespace WindowsFormsCSharp
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // ダミーデータをデータグリッドビューに表示
            DataTable dataTable = new DataTable();
            dataTable.Columns.Add("col1");
            dataTable.Columns.Add("col2");
            dataTable.Columns.Add("col3");
            for (int i = 0; i < 5; i++)
            {
                DataRow row = dataTable.NewRow();
                row["col1"] = "data" + i.ToString();
                row["col2"] = "data" + i.ToString();
                row["col3"] = "data" + i.ToString();
                dataTable.Rows.Add(row);
            }
            this.dataGridView1.DataSource = dataTable;


            // セルを選択すると行全体が選択されるようにする
            this.dataGridView1.SelectionMode = DataGridViewSelectionMode.FullRowSelect;

            // 一行しか選択できなくする
            this.dataGridView1.MultiSelect = false;
        }
    }
}
